class Employee {
	String name;
	int id;
	int salary;
	double overtime;

	Employee(String _name, int _id) {
		name = _name;
		id = _id;
	}
	int getPayment() {
		return (int)(salary + overtime * 1.25 * salary / 163);
	}
	String getPaymentString() {
		return getPayment() + "~";
	}
}

class Manager extends Employee {
	Employee staff[];

	Manager(String _name, int _id) {
		super(_name, _id);
	}
	int getPayment() {
		return salary;
	}
}

class Java1104 {
	public static void main(String[] args) {
		Employee[] empList = new Employee[3];
		empList[0] = new Employee("R", 3);
		empList[0].salary = 300000;
		empList[0].overtime = 30;
		
		empList[1] = new Employee("", 4);
		empList[1].salary = 350000;
		empList[1].overtime = 50;
		
		empList[2] = new Manager("Óc", 5);
		empList[2].salary = 450000;
		empList[2].overtime = 56;

		int total = 0;
		for (Employee emp : empList) {
			System.out.println(emp.name + emp.getPaymentString());
			total += emp.getPayment();
		}
		System.out.println("̍v: " + total + "~");
	}
}
